dbus (1.16.2-2ubuntu4) resolute; urgency=medium

  * dont-stop-dbus.patch: restore Before=sockets.target (LP: #2141603)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 03 Mar 2026 12:20:34 +0100

dbus (1.16.2-2ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:28:07 +0100

dbus (1.16.2-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 17:42:57 +0000

dbus (1.16.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Add Ubuntu-specific patches:
      + d/p/u/aa-get-connection-apparmor-security-context.patch
      + d/p/u/dont-stop-dbus.patch
    - debian/dbus.postinst, debian/rules: Prevent dbus from being
      restarted on upgrade.
    - debian/changelog: Don't drop extra newlines from changelog.
    - debian/rules: Add comment for Ubuntu about dh_install{init,systemd}
      invocation.
  * Dropped change, included in 1.16.2-2:
    - debian/control: Drop alternative depends on usr-is-merged.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 20:47:28 -0500

dbus (1.16.2-2) unstable; urgency=medium

  * Pass fewer options to adduser (Closes: #1099086)
    - Remove --no-create-home. Add a versioned dependency on 3.130
      instead, so that /nonexistent will be special-cased to not be created.
    - Remove --home /nonexistent.
      This is the default for system users since 3.122.
    - Remove --disabled-password.
      This is the default since at least 3.118 (Debian 11).
  * d/p/debian/sysusers.d-Set-user-s-home-directory-to-nonexistent.patch:
    Add patch so sysusers.d sets home directory /nonexistent, making it
    consistent with what adduser would do
  * d/dbus-system-bus-common.postinst: Create system user in more
    situations, matching the behaviour of dh_installsysusers
  * d/dbus-system-bus-common.postinst: Use systemd-sysusers if available.
    This avoids needing an unconditional dependency on adduser.
  * d/control: Remove alternative dependency on usr-is-merged.
    Now that a version of base-files that enforces merged /usr has been
    in testing for a while, we can drop the alternative dependency, which
    should help apt to realise that usr-is-merged can be autoremoved.
    The versioned dependency on base-files is intentional (see #1054650,
    #1072756, #1085407) and should be kept until the beginning of the
    forky cycle. During upgrades from bookworm to trixie, if a system has
    been misconfigured to force non-merged /usr (contrary to #978636,
    #994388), then we want that misconfiguration to be detected by
    base-files.preinst and stop the upgrade early, without first
    installing a version of dbus that will not work on that system.
    (Closes: #1099706)
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Mar 2025 19:04:46 +0000

dbus (1.16.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Add Ubuntu-specific patches:
      + d/p/u/aa-get-connection-apparmor-security-context.patch
      + d/p/u/dont-stop-dbus.patch
    - debian/dbus.postinst, debian/rules: Prevent dbus from being
      restarted on upgrade.
    - debian/changelog: Don't drop extra newlines from changelog.
    - debian/rules: Add comment for Ubuntu about dh_install{init,systemd}
      invocation.
    - debian/control: Drop alternative depends on usr-is-merged.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Feb 2025 18:18:14 -0600

dbus (1.16.2-1) unstable; urgency=medium

  * New upstream stable release
    - Fixes a build failure with updated libselinux (Closes: #1096212)

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Feb 2025 16:39:08 +0000

dbus (1.16.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Add Ubuntu-specific patches:
      + d/p/u/aa-get-connection-apparmor-security-context.patch
      + d/p/u/dont-stop-dbus.patch
    - debian/dbus.postinst, debian/rules: Prevent dbus from being
      restarted on upgrade.
    - debian/changelog: Don't drop extra newlines from changelog.
    - debian/rules: Add comment for Ubuntu about dh_install{init,systemd}
      invocation.
    - debian/control: Drop alternative depends on usr-is-merged.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 14:23:11 -0600

dbus (1.16.0-1) unstable; urgency=medium

  * New upstream stable release
  * d/gbp.conf: Use upstream/1.16.x branch to import stable releases
  * d/watch: Only watch for stable releases on this branch

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2024 14:26:24 +0000

dbus (1.15.92-1) unstable; urgency=medium

  * New upstream release candidate (1.16.0 rc2)
    - Fixes a build regression on Hurd (Closes: #1089641)
  * d/rules: Update name of intrusive_tests option
  * d/control: Specifially document the debug build in dbus-tests as not
    for production use.
    This build enables options that are likely to be insecure, and
    certainly reduce performance and robustness. It should not be
    considered to be covered by security support.

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Dec 2024 14:32:26 +0000

dbus (1.15.90-1) unstable; urgency=medium

  * New upstream release candidate (effectively 1.16.0 rc1)
  * Switch packaging branch to debian/unstable.
    dbus 1.15.90 is a release candidate for 1.16.0, so it can go to
    testing/unstable.
  * d/salsa-ci.yml: Use recommended recipe
  * Drop patches, applied upstream
  * d/libdbus-1-3.symbols.in: Stop distinguishing between development versions.
    Behave as though all symbols added in a development branch had been
    added in the stable release that followed it, instead. This simplifies
    the generated dependency.
    Leave the one symbol that was added during 1.15.x as-is, since we
    have not yet reached 1.16.0.
  * Add references to #1072756, #1085407 in the 1.14.10-5 changelog entry

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Dec 2024 15:38:26 +0000

dbus (1.15.12-1) experimental; urgency=medium

  * New upstream development release
  * Merge packaging changes from unstable
  * d/p/doc-Substitute-DBUS_APIDOC_LINK-from-Meson-build-not-just.patch,
    d/p/tests-Only-check-whether-the-first-1024-fds-are-close-on-.patch:
    Drop patches that are included in the new upstream release
  * Update doc-base registration and documentation symlinks for new layout
  * d/p/doc-Use-api-html-to-link-to-Doxygen-docs-in-Devhelp-index.patch,
    d/p/doc-Use-the-top-level-index.html-as-the-table-of-contents.patch:
    Add proposed patches to fix the Devhelp documentation index
  * Enable assertions for the debug build.
    These were always meant to be enabled in the debug build (and disabled
    in the normal and udeb builds), but were accidentally disabled when
    switching from Autotools to Meson.

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Oct 2024 16:47:09 +0000

dbus (1.14.10-6) unstable; urgency=medium

  * d/p/tests-Only-check-whether-the-first-1024-fds-are-close-on-.patch:
    Fix FTBFS when running with a high rlimit.
    Thanks to Aurelien Jarno for diagnosing the root cause.
    (Closes: #1086148)

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Oct 2024 22:02:49 +0000

dbus (1.14.10-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/upstream/metadata: Add Security-Contact field

  [ Michael Biebl ]
  * Add base-files (>= 13.4~) as alternative dependency for usr-is-merged
    (Closes: #1072756, #1085407)

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Oct 2024 21:04:23 +0100

dbus (1.15.10-1) experimental; urgency=medium

  * New upstream release
  * Merge packaging changes from unstable
    - No functional change, all changes were already in experimental
  * d/copyright: Update for deletion of m4/
  * Standards-Version: 4.7.0 (no changes required)
  * Refresh patch series (no functional change)
  * d/p/doc-Substitute-DBUS_APIDOC_LINK-from-Meson-build-not-just.patch:
    Add proposed patch to fix missing link from index to API docs

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Sep 2024 17:35:27 +0100

dbus (1.14.10-4ubuntu5) oracular-proposed; urgency=medium

  * LP: #2076340: No-change rebuild to pick up changed build flags on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2024 14:55:55 +0200

dbus (1.14.10-4ubuntu4) noble; urgency=high

  * No change rebuild against libglib2.0-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:11 +0200

dbus (1.14.10-4ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:06:36 +0000

dbus (1.14.10-4ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:10:25 +0000

dbus (1.14.10-4ubuntu1) noble; urgency=medium

  [ Nishit Majithia ]
  * Merge with Debian unstable. Remaining changes:
    - Add ubuntu specific patches:
      + d/p/u/aa-get-connection-apparmor-security-context.patch
      + d/p/u/dont-stop-dbus.patch
    - debian/dbus.postinst, debian/rules:  Prevent dbus from being
      restarted on upgrade

  [ Olivier Gayot ]
  * debian/changelog: Don't drop extra newlines from changelog
  * Convert to dep3 headers
    - d/p/u/aa-get-connection-apparmor-security-context.patch
    - d/p/u/dont-stop-dbus.patch
  * debian/rules: Add comment for Ubuntu about dh_install{init,systemd}
    invocation

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 26 Feb 2024 13:03:03 +0530

dbus (1.14.10-4) unstable; urgency=medium

  * Move the shared library from /lib/MULTIARCH to /usr/lib/MULTIARCH
    (Closes: #1060155)

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Jan 2024 21:12:25 +0000

dbus (1.15.8-4) experimental; urgency=medium

  * Move the shared library from /lib/MULTIARCH to /usr/lib/MULTIARCH
  * Merge packaging changes from unstable
    - dbus depends on usr-is-merged (>= 38~) (Closes: #1054650)
    - all other changes were already present in the experimental branch

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Dec 2023 14:29:57 +0000

dbus (1.14.10-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2045668). Remaining changes:
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
      (LP #1489489).
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit
      (LP #1438612)
      - Reworked to actually make dbus.service _and_ dbus.socket to not
        be part of the shutdown transaction. And yet make it possible
        to still stop/kill/restart dbus.service if one really
        wants to, because it is stuck and stopped responding to any
        commands. This allows allows to restart dbus.service with
        needrestart. However a finalrd hook might still be needed, to kill
        dbus-daemon for good, once we pivot off rootfs.
      - Reworked to avoid a deadlock during boot (LP #1936948)
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
      - Prevent dbus from being restarted on upgrade (LP #1962036)
  * Drop dependency on usr-is-merged; this transition is long completed
    in Ubuntu.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 05 Dec 2023 16:36:45 +0100

dbus (1.14.10-3) unstable; urgency=medium

  * d/control: dbus Depends on usr-is-merged (>= 38~).
    Non-merged /usr has been unsupported since Debian 12, as per Technical
    Committee resolutions #978636 and #994388 (please see the Debian 12
    release notes for details).
    The version of usr-is-merged shipped in Debian 12 had an undocumented
    opt-out mechanism intended for use on buildds and QA systems targeting
    Debian 12 (piuparts, reproducible-builds, autopkgtest and similar),
    to ensure that the upgrade path from Debian 11 to 12 will continue
    to work and continue to undergo automated tests. That opt-out is
    no longer applicable or available in trixie/sid, and was removed in
    usrmerge version 38.
    Since version 1.14.10-2, dbus ships its systemd units in
    /usr/lib/systemd/system, as part of the distro-wide transition
    away from making use of "aliased" paths. This is entirely valid on
    merged-/usr systems, but will no longer work in the unsupported
    filesystem layout with non-merged /usr, because for historical
    reasons, current versions of systemd on non-merged-/usr systems will
    only read units from /lib/systemd/system.
    In the case of dbus, the symptom when this assumption is broken is
    particularly bad (various key system services will not start, with
    long delays during boot, login and shutdown), so let's hold back
    this upgrade on unsupported non-merged-/usr systems until they have
    completed the switch to merged-/usr and can install
    usr-is-merged (>= 38~).
    (Closes: #1054650)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Oct 2023 11:51:35 +0000

dbus (1.14.10-2) unstable; urgency=low

  * Backport packaging changes from experimental:
    - Install systemd system units into /usr/lib/systemd/system.
      This was allowed by TC resolution #1053901. The shared library is
      still in /lib, for now.
      Build-depend on debhelper 13.11.6~ to ensure that the units are still
      picked up by dh_installsystemd.
    - Build-depend on pkgconf rather than pkg-config
    - dbus-x11: Don't copy XDG_SEAT_PATH, XDG_SESSION_PATH to activation
      environment. These variables are specific to a single login session.
  * d/copyright: Drop unused entry for pkg.m4.
    This is no longer included in the upstream source release since 1.14.6.
  * d/dbus-tests.lintian-overrides: Drop unused overrides.
    Lintian no longer flags our RUNPATH as problematic.

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Oct 2023 15:56:36 +0100

dbus (1.15.8-3) experimental; urgency=medium

  * Install systemd system units into /usr/lib/systemd/system.
    This was allowed by TC resolution #1053901. The shared library is still
    in /lib, for now.
    Build-depend on debhelper 13.11.6~ to ensure that the units are still
    picked up by dh_installsystemd.
  * Merge 1.14.10-1 packaging from unstable
    - No functional changes, equivalent fixes were already included in
      1.15.8 (for the upstream parts) and 1.15.8-2 (for the packaging)
  * Build-depend on pkgconf rather than pkg-config

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Oct 2023 12:54:29 +0100

dbus (1.14.10-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2036180). Remaining changes:
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit
      (LP #1438612)
      - Reworked to actually make dbus.service _and_ dbus.socket to not
        be part of the shutdown transaction. And yet make it possible
        to still stop/kill/restart dbus.service if one really
        wants to, because it is stuck and stopped responding to any
        commands. This allows allows to restart dbus.service with
        needrestart. However a finalrd hook might still be needed, to kill
        dbus-daemon for good, once we pivot off rootfs.
      - Reworked to avoid a deadlock during boot (LP #1936948)
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
      - Prevent dbus from being restarted on upgrade (LP #1962036)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Fri, 15 Sep 2023 11:42:11 +0200

dbus (1.14.10-1) unstable; urgency=medium

  * New upstream stable release
    - Fix a dbus-daemon crash during policy reload if a connection belongs
      to a user account that has been deleted, or if a Name Service Switch
      plugin is broken, on kernels not supporting SO_PEERGROUPS
    - Report the error correctly if getting the groups of a uid fails
    - If a connection has a primary group ID but no supplementary groups,
      report the primary group ID in GetConnectionCredentials()
      UnixGroupIDs field
  * dbus-user-session: Copy XDG_CURRENT_DESKTOP to activation environment.
    Previously this was only done if dbus-x11 was installed.
    This is needed by various freedesktop.org specifications, in particular
    for xdg-desktop-portal (>= 1.17) to choose the correct portal backend
    for a desktop session. Some session managers like gnome-session and
    plasma-workspace already upload this into the activation environment,
    but many older or simpler session managers do not.

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Sep 2023 15:41:38 +0100

dbus (1.15.8-2) experimental; urgency=medium

  * dbus-x11: Don't copy XDG_SEAT_PATH, XDG_SESSION_PATH to activation
    environment.
    These variables are specific to a single login session.
  * dbus-user-session: Copy XDG_CURRENT_DESKTOP to activation environment.
    This is needed by various freedesktop.org specifications, in particular
    for xdg-desktop-portal (>= 1.17) to choose the correct portal backend
    for a desktop session. Some session managers like gnome-session and
    plasma-workspace already upload this into the activation environment,
    but many older or simpler session managers do not.

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Sep 2023 10:55:31 +0100

dbus (1.15.8-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * d/rules: Pass the correct private library directory to dh_shlibdeps

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Aug 2023 18:37:36 +0100

dbus (1.15.6-2) experimental; urgency=medium

  * Merge packaging from unstable (Closes: #1040790)

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 21:01:57 +0100

dbus (1.15.6-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
    - Fixes a denial of service issue if the root or messagebus user is
      monitoring messages on the system bus with the Monitoring interface
      (dbus-monitor, busctl monitor, gdbus monitor or similar)
      (Closes: #1037151)
  * d/rules: Tell dh_shlibdeps where to find dbus-tests' private libraries
    dbus-tests contains an instrumented/debug build of libdbus in a private
    directory, which has more ABI than the production build, and a second
    set of tests which depend on that debug build.
  * d/rules: Extend arbitrary timeout for tests.
    Some mipsel buildds are very slow and have seen the hash test time out
    after 30 seconds (it normally takes about 10 on slower machines).

  [ Helmut Grohne ]
  * Mark dbus-daemon and dbus-bin Multi-Arch: foreign (Closes: #1033056)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jun 2023 15:06:09 +0100

dbus (1.15.4-1) experimental; urgency=medium

  * New upstream development release
    - Fixes a denial of service issue that is not relevant for the way
      we compile dbus in Debian
  * d/copyright: Update
  * d/rules: Explicitly enable the message bus and tools, which are now
    compile-time optional
  * Merge packaging changes from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Feb 2023 13:34:18 +0000

dbus (1.14.8-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2027991). Remaining changes:
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit
      (LP: #1438612)
      - Reworked to actually make dbus.service _and_ dbus.socket to not
        be part of the shutdown transaction. And yet make it possible
        to still stop/kill/restart dbus.service if one really
        wants to, because it is stuck and stopped responding to any
        commands. This allows allows to restart dbus.service with
        needrestart. However a finalrd hook might still be needed, to kill
        dbus-daemon for good, once we pivot off rootfs.
      - Reworked to avoid a deadlock during boot (LP: #1936948)
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
      - Prevent dbus from being restarted on upgrade (LP #1962036)
  * Removed unnecessary delta:
    - git configuration changes for Ubuntu (d/gbp.conf, d/.gitignore)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Mon, 17 Jul 2023 18:10:48 +0200

dbus (1.14.8-2) unstable; urgency=high

  * dbus-daemon.postinst: Stop trying to take DPKG_ROOT into account.
    This unintentionally disabled the code path that would copy systemd's
    /etc/machine-id in preference to creating an entirely new machine ID.
    (Closes: #1040790)
  * d/tests: Add test coverage for #1040790

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 18:38:22 +0100

dbus (1.14.8-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Fixes a denial of service issue if the root or messagebus user is
      monitoring messages on the system bus with the Monitoring interface
      (dbus-monitor, busctl monitor, gdbus monitor or similar)
      (Closes: #1037151)

  [ Helmut Grohne ]
  * Mark dbus-daemon and dbus-bin Multi-Arch: foreign (Closes: #1033056)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jun 2023 15:05:50 +0100

dbus (1.14.6-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2023301). Remaining changes:
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit.
    - Rework ubuntu/dont-stop-dbus.patch to actually make dbus.service _and_
      dbus.socket to not be part of the shutdown transaction. And yet make
      it possible to still stop/kill/restart dbus.service if one really
      wants to, because it is stuck and stopped responding to any
      commands. This allows allows to restart dbus.service with
      needrestart. However a finalrd hook might still be needed, to kill
      dbus-daemon for good, once we pivot off rootfs.
    - Rework d/p/ubuntu/dont-stop-dbus.patch to avoid a deadlock during boot
      (LP #1936948)
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus
      on demand after package installation.
    - Prevent dbus from being restarted on upgrade (LP #1962036)
    - git configuration changes for Ubuntu (d/gbp.conf, d/.gitignore)
  * Removed obsoleted patches:
    - d/p/u/concrete-dbus-socket.patch: Add the "real" path used by the apparmor
      autopkgtest to the apparmor profile in the test
      [merged upstream in 1.14.6]
    - d/control: Add M-A: foreign to the new dbus-{session,system}-bus-common
      packages to permit the resolver to use them to satisfy i386 dependencies
      [merged in debian in 1.14.6-1]

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 08 Jun 2023 17:46:03 +0200

dbus (1.14.6-1) unstable; urgency=medium

  * New upstream stable release
    - Fixes a denial of service issue that is not relevant for the way
      we compile dbus in Debian
  * d/copyright: Update
  * Standards-Version: 4.6.2 (no changes required)
  * d/control: Mark dbus-*-bus-common as Multi-Arch: foreign.
    Thanks to Dave Jones / Ubuntu
  * d/upstream/metadata: Update Gitlab URLs to preferred format
  * Drop migration path from very old debug symbol packages
  * Avoid explicitly specifying -Wl,--as-needed linker flag,
    which is the default with Debian 12 toolchains
  * Remove version constraints unnecessary since Debian 10

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Feb 2023 13:21:47 +0000

dbus (1.15.2-1) experimental; urgency=medium

  * New upstream development release
    - Fix several denial of service issues where an authenticated attacker
      can crash the system bus by sending crafted messages
      (CVE-2022-42010, CVE-2022-42011, CVE-2022-42012)
    - Use a path-based Unix socket for the session bus, avoiding sandbox
      escape for Flatpak apps with network access (dbus#416)
  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Oct 2022 12:02:43 +0100

dbus (1.14.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1999258). Remaining changes:
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit.
    - Rework ubuntu/dont-stop-dbus.patch to actually make dbus.service _and_
      dbus.socket to not be part of the shutdown transaction. And yet make it
      possible to still stop/kill/restart dbus.service if one really wants to,
      because it is stuck and stopped responding to any commands. This allows
      allows to restart dbus.service with needrestart. However a finalrd hook
      might still be needed, to kill dbus-daemon for good, once we pivot off
      rootfs.
    - Rework d/p/ubuntu/dont-stop-dbus.patch to avoid a deadlock during boot
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus on
      demand after package installation.
    - Prevent dbus from being restarted on upgrade
    - git configuration changes for Ubuntu (d/gbp.conf, d/.gitignore)
    - d/control: Add M-A: foreign to the new dbus-{session,system}-bus-common
      packages to permit the resolver to use them to satisfy i386 dependencies
  * Removed patches obsoleted/merged by upstream:
    - Make autopkgtests cross-test-friendly.
    - SECURITY UPDATE: Assertion failure in dbus-marshal-validate
      - debian/patches/CVE-2022-42010.patch: Check brackets in signature nest
        correctly
      - CVE-2022-42010
    - SECURITY UPDATE: Out-of-bound access in dbus-marshal-validate
      - debian/patches/CVE-2022-42011.patch: Validate length of arrays of
        fixed-length items
      - CVE-2022-42011
    - SECURITY UPDATE: Out-of-bound access in dbus-marshal-byteswap
      - debian/patches/CVE-2022-42012.patch: Byte-swap Unix fd indexes if
        needed
      - CVE-2022-42012
  * d/p/u/concrete-dbus-socket.patch: Add the "real" path used by the apparmor
    autopkgtest to the apparmor profile in the test

 -- Dave Jones <dave.jones@canonical.com>  Fri, 09 Dec 2022 15:00:27 +0000

dbus (1.14.4-1) unstable; urgency=high

  * New upstream stable release 1.14.4
    - Fix several denial of service issues where an authenticated attacker
      can crash the system bus by sending crafted messages
      (CVE-2022-42010, CVE-2022-42011, CVE-2022-42012)
    - Use a path-based Unix socket for the session bus, avoiding sandbox
      escape for Flatpak apps with network access (dbus#416)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Oct 2022 12:00:00 +0100

dbus (1.14.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
  * d/copyright: Update

  [ Dave Jones ]
  * Make autopkgtest cross-friendly

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Sep 2022 17:09:42 +0100

dbus (1.15.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
  * Drop most patches, applied upstream
  * d/copyright: Update

  [ Dave Jones ]
  * Make autopkgtest cross-friendly

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Sep 2022 12:36:07 +0100

dbus (1.14.99~git20220715-1) experimental; urgency=medium

  * d/control, d/gbp.conf, d/watch: Branch for experimental
  * New upstream snapshot with Meson build system
  * Build with Meson instead of Autotools
  * d/copyright: Update
  * libdbus-1-dev: Depend on libsystemd-dev.
    Autotools represented the libsystemd dependency as Libs.private, which
    meant we would only have needed libsystemd-dev for static linking,
    but Meson uses Requires.private.
  * d/p/activation-helper-Never-crash-if-unable-to-write-oom_scor.patch,
    d/p/sysdeps-Only-open-oom_score_adj-read-write-if-we-need-to-.patch:
    Add proposed patches to make oom_score_adj handling more robust
  * d/p/test-bus-Factor-out-common-setup-teardown-code.patch,
    d/p/test-bus-Break-up-dispatch-test-into-three-separate-tests.patch,
    d/p/dispatch-test-Pass-in-test-data-directory-as-a-C-string.patch:
    Add proposed patches to speed up build-time testing
  * d/rules: Run all tests, even the slow ones.
    They're a lot less slow now.

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jul 2022 16:25:37 +0100

dbus (1.14.8-2) unstable; urgency=high

  * dbus-daemon.postinst: Stop trying to take DPKG_ROOT into account.
    This unintentionally disabled the code path that would copy systemd's
    /etc/machine-id in preference to creating an entirely new machine ID.
    (Closes: #1040790)
  * d/tests: Add test coverage for #1040790

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 18:38:22 +0100

dbus (1.14.8-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Fixes a denial of service issue if the root or messagebus user is
      monitoring messages on the system bus with the Monitoring interface
      (dbus-monitor, busctl monitor, gdbus monitor or similar)
      (Closes: #1037151)

  [ Helmut Grohne ]
  * Mark dbus-daemon and dbus-bin Multi-Arch: foreign (Closes: #1033056)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jun 2023 15:05:50 +0100

dbus (1.14.0-2ubuntu3) kinetic; urgency=medium

  * SECURITY UPDATE: Assertion failure in dbus-marshal-validate
    - debian/patches/CVE-2022-42010.patch: Check brackets in signature nest
      correctly
    - CVE-2022-42010
  * SECURITY UPDATE: Out-of-bound access in dbus-marshal-validate
    - debian/patches/CVE-2022-42011.patch: Validate length of arrays of
      fixed-length items
    - CVE-2022-42011
  * SECURITY UPDATE: Out-of-bound access in dbus-marshal-byteswap
    - debian/patches/CVE-2022-42012.patch: Byte-swap Unix fd indexes if needed
    - CVE-2022-42012

 -- Nishit Majithia <nishit.majithia@canonical.com>  TUe, 25 Oct 2022 18:48:42 +0530

dbus (1.14.0-2ubuntu2) kinetic; urgency=medium

  * d/control: Add M-A: foreign to the new dbus-{session,system}-bus-common
    packages to permit the resolver to use them to satisfy i386 dependencies

 -- Dave Jones <dave.jones@canonical.com>  Tue, 30 Aug 2022 15:15:24 +0100

dbus (1.14.0-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1959211). Remaining changes:
    - Add aa-get-connection-apparmor-security-context.patch: This is not
      intended for upstream inclusion. It implements a bus method
      (GetConnectionAppArmorSecurityContext) to get a connection's AppArmor
      security context but upstream D-Bus has recently added a generic way of
      getting a connection's security credentials (GetConnectionCredentials).
      Ubuntu should carry this patch until packages in the archive are moved
      over to the new, generic method of getting a connection's credentials.
    - Add dont-stop-dbus.patch: Don't stop D-Bus in the service unit.
    - Rework ubuntu/dont-stop-dbus.patch to actually make dbus.service _and_
      dbus.socket to not be part of the shutdown transaction. And yet make it
      possible to still stop/kill/restart dbus.service if one really wants to,
      because it is stuck and stopped responding to any commands. This allows
      allows to restart dbus.service with needrestart. However a finalrd hook
      might still be needed, to kill dbus-daemon for good, once we pivot off
      rootfs.
    - Rework d/p/ubuntu/dont-stop-dbus.patch to avoid a deadlock during boot
    - Make autopkgtests cross-test-friendly.
    - debian/dbus.postinst, debian/rules: Don't start D-Bus on package
      installation, as that doesn't work any more with dont-stop-dbus.patch.
      Instead, start dbus.socket in postinst, which will then start D-Bus on
      demand after package installation.
    - Prevent dbus from being restarted on upgrade
    - git configuration changes for Ubuntu (d/gbp.conf, d/.gitignore)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 23 Aug 2022 15:07:57 +0100

dbus (1.14.0-2) unstable; urgency=medium

  * Revert workaround for #994204. Since debhelper 13.7, the workaround
    doesn't do what we wanted either, causing unwanted dbus-daemon restarts
    when rebuilt with a current debhelper.
  * Explicitly build-depend on a debhelper without #994204 (either a newer
    version where it is fixed, or an older version which didn't have that
    problem). The failure mode caused by that bug is particularly bad
    for dbus.
  * Standards-Version: 4.6.1 (no changes required)
  * Use XML catalog from built tree, fixing incorrect paths to DTDs
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Jul 2022 23:00:40 +0100

dbus (1.14.0-1) unstable; urgency=medium

  * Merge from experimental
    - d/changelog: Reorder changelog to reflect the order of events as
      seen from unstable
    - d/gbp.conf, d/control: Adjust branches for 1.14.x
  * New upstream stable release branch
    - dbus-daemon: GetConnectionCredentials provides UnixGroupIDs from
      Linux SO_PEERGROUPS
    - dbus-daemon: <policy group="..."> uses Linux SO_PEERGROUPS
    - dbus-daemon: add <allow send_destination_prefix="..."> (also works
      on <deny>)
    - dbus-daemon: removes header fields that it does not understand
    - dbus-daemon: Add ActivatableServicesChanged signal
    - dbus-user-session: dbus-daemon is now in session.slice
    - dbus-bin: Add `dbus-send --sender`
    - dbus-daemon: Installing into /etc/dbus-1/system.d is officially
      reserved for the sysadmin, packages should install into
      /usr/share/dbus-1/system.d
    - libdbus-1-3, dbus-daemon: DBusServer no longer accepts login names
      for EXTERNAL authentication, only numeric uids or the empty string
    - dbus-daemon: several environment variables set by systemd are no
      longer inherited by traditional (non-systemd) activated services
    - dbus-daemon: notifies systemd that it is ready via sd_notify()
  * d/control: Drop python3 build-dependency, no longer needed
  * d/watch: Only watch for stable releases for this branch

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Feb 2022 13:32:54 +0000

dbus (1.13.22-1) experimental; urgency=medium

  * New upstream release (release candidate for 1.14.0)
    - No longer logs warnings about /proc/self/oom_score_adj with
      systemd >= 250 (Closes: #1004543)
  * Drop patch for #1005889, applied upstream
  * Register DTDs in the XML catalog

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Feb 2022 18:04:43 +0000

dbus (1.13.20-2) experimental; urgency=medium

  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Feb 2022 12:34:27 +0000

dbus (1.13.20-1) experimental; urgency=medium

  * Merge packaging from unstable
  * New upstream development release
  * Put the shared library in /lib/MULTIARCH, as we do in unstable,
    in accordance with the advice given by the Technical Committee
    in #994388.

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Dec 2021 13:29:39 +0000

dbus (1.13.18-2) experimental; urgency=medium

  [ Luca Boccassi ]
  * Split tools and configs into -bin and -common packages.
    User creation also moves to dbus-common. This is useful for
    other D-Bus implementations like dbus-broker.

  [ Simon McVittie ]
  * Split dbus-common into -session-bus-common and -system-bus-common.
    This allows us to install the integration files for session services
    without having to create the messagebus user or run a system bus,
    which is useful for CI environments that will run
    session-service-dependent unit tests in a container where a system bus
    is not necessary or desired, particularly in situations where creating
    new uids can be problematic such as unprivileged containers.
  * dbus: Provide a default-dbus-system-bus virtual package.
    This allows us to signal what the default implementation of
    dbus-system-bus is, even when other implementations like dbus-broker
    also provide the dbus-system-bus virtual package.
  * Move dbus-daemon, dbus-run-session and creation of
    /var/lib/dbus/machine-id to a new dbus-daemon package.
    This decouples the system integration for the well-known system bus
    (still in the dbus package) from the dbus-daemon. This means that
    packages that merely want to run a dbus-daemon in a small container
    or chroot (for example to run integration tests or provide a minimal
    session bus environment) do not need to pull in adduser, an init system,
    or the setuid helper used to implement traditional activation.
    dbus remains Priority: standard, because the majority of systems benefit
    from having a working D-Bus system bus (in particular to communicate
    with logind).
  * d/watch: Watch for any archive extension.
    Upstream releases switched from tar.gz to tar.xz for the 1.13.x branch.
  * dbus-tests: Silence Lintian warnings for breakout-link
  * Remove unnecessary Readme.txt from sha1 test data.
    This causes Lintian warnings because it isn't UTF-8, and it isn't
    actually useful.
  * Silence more Lintian tags for D-Bus vs. dbus in package descriptions.
    We're careful to say D-Bus when we mean the protocol, and dbus when we
    mean the reference implementation of the protocol.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Feb 2021 21:38:53 +0000

dbus (1.13.18-1) experimental; urgency=medium

  [ Mark Hindley ]
  * Fix system-bus autopkgtest detection of systemd as PID1.
    The test attempts to detect whether systemd is available by testing for
    /run/systemd. However, this path can exist on non-systemd systems.
    Look for /run/systemd/system instead. (Closes: #962466)

  [ Simon McVittie ]
  * New upstream development release
    - Prevent use-after-free if two usernames share a uid

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Jul 2020 14:15:32 +0100

dbus (1.13.16-1) experimental; urgency=medium

  * New upstream development release
    - CVE-2020-12049: Prevent a denial of service attack in which a local
      user can make the system dbus-daemon run out of file descriptors

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jun 2020 16:52:02 +0100

dbus (1.13.14-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
    - Drop patches that were applied upstream
    - d/copyright: Update
  * Move to debhelper compat level 13
    - Don't restart systemd units on upgrade.
      Previously, this was handled by the dh_installinit override.
    - Add ${misc:Pre-Depends} to all binary packages.
      This is required for dbus for dh_installsystemd under dh compat
      level 12, and is harmless for the others.
    - Stop overriding HOME, which is now done by default.
  * dbus: Remove an unused Lintian override.
    Lintian used to warn twice for the statically-enabled dbus.service unit,
    but now only warns once.
  * dbus-tests: Silence package-contains-documentation-outside-usr-share-doc
    Lintian tag.
    The tests contain some READMEs that describe what is in their directory.
  * d/tests: Remove support for ancient autopkgtest versions.
    AUTOPKGTEST_TMP is now required to be set, and we do not fall back
    to the deprecated ADTTMP.
  * Introduce noinsttest build profile.
    This disables dbus-tests, and when combined with nocheck it disables
    the circular GLib dependency.
  * Remove non-standard pkg.dbus.minimal build profile.
    It was not a "safe" build profile (it altered the contents of binary
    packages, notably dropping LSM and systemd support, which could result
    in dependent packages being broken), and the combination of nocheck,
    nodoc and noinsttest achieves most of the same build-dependency
    reductions.
  * Explicitly build-depend on pkg-config.
    Previously, this was pulled in by libglib2.0-dev. (Closes: #945201)
  * d/upstream/metadata: Distinguish between Bug-Submit and Bug-Database
  * Change system bus socket to /run/dbus/system_bus_socket.
    The interoperable cross-distro path is /var/run/dbus/system_bus_socket,
    so this remains the upstream default for the benefit of distributions
    where /var/run and /run are (problematically) not guaranteed to be
    equivalent. However, Debian Policy since at least v4.1.5 guarantees
    that /var/run is a symlink to /run, and this has been implemented
    for several stable releases (since at least initscripts 2.88dsf-29
    in 2012, in the sysvinit case), so it is harmless to prefer the
    path in /run, which has advantages in a few corner cases (ability
    to unmount /var is the main one) and avoids warnings from systemd.
    (Closes: #783321, #857678, #932105, #958289)
  * Standards-Version: 4.5.0
    - Note that the user for `dbus-daemon --system` is still named
      'messagebus' for historical reasons. If it was added today,
      we'd call it _dbus as per Policy §9.2.1, but this is not the right
      package to be experimenting with renaming system users.
  * d/dbus-udeb.postinst: Remove #DEBHELPER# token.
    debhelper doesn't actually substitute this in udebs, making it just
    an ordinary comment.

  [ Debian Janitor ]
  * d/changelog: Remove trailing whitespace.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Submit (from ./configure),
    Repository, Repository-Browse.

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Apr 2020 15:39:49 +0100

dbus (1.13.12-2) experimental; urgency=medium

  * Add bug number to 1.13.12-1 changelog entry
  * Merge packaging changes from unstable
  * d/p/tests-Skip-system-bus-test-if-we-are-root-but-messagebus-.patch,
    d/p/tests-Skip-if-unable-to-launch-uninstalled-dbus-daemon-as.patch,
    d/p/auth-Clear-GUID-from-server-if-out-of-memory.patch,
    d/p/bus-Make-audit-initialization-idempotent.patch,
    d/p/bus-tests-Shut-down-audit-socket.patch:
    Fix test failures when build-time tests are run as root (in
    particular this happens when the CI pipeline runs reprotest)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Sep 2019 11:51:00 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdbus-1-3`.
